patch/api/v2/actions/{id}

Update action status or schedule fields. WatchLLM extension, not confirmed Promptwatch public REST parity.

Update action status or schedule fields. WatchLLM extension, not confirmed Promptwatch public REST parity.

Requires bearer API key

Parameters

id

path / required

No description provided.

Schema: string

Request Body

{
  "type": "object",
  "additionalProperties": false,
  "properties": {
    "status": {
      "type": "string",
      "enum": [
        "to_do",
        "in_progress",
        "done",
        "dismissed"
      ]
    },
    "assignee": {
      "type": "string",
      "nullable": true
    },
    "dueAt": {
      "type": "string",
      "format": "date-time",
      "nullable": true
    },
    "snoozedUntil": {
      "type": "string",
      "format": "date-time",
      "nullable": true
    },
    "note": {
      "type": "string"
    }
  }
}

Responses

200

Successful JSON response.

application/json
{
  "type": "object",
  "additionalProperties": true,
  "properties": {
    "id": {
      "type": "string"
    },
    "title": {
      "type": "string"
    },
    "type": {
      "type": "string"
    },
    "severity": {
      "type": "string",
      "enum": [
        "high",
        "medium",
        "low"
      ]
    },
    "status": {
      "type": "string",
      "enum": [
        "to_do",
        "in_progress",
        "done",
        "dismissed"
      ]
    },
    "assignee": {
      "type": "string",
      "nullable": true
    },
    "dueAt": {
      "type": "string",
      "format": "date-time",
      "nullable": true
    },
    "snoozedUntil": {
      "type": "string",
      "format": "date-time",
      "nullable": true
    },
    "recommendation": {
      "type": "string"
    },
    "ctaLabel": {
      "type": "string"
    },
    "ctaRoute": {
      "type": "string"
    },
    "benefitBullets": {
      "type": "array",
      "items": {
        "type": "string"
      }
    },
    "metadata": {
      "type": "object",
      "additionalProperties": true
    },
    "addedAt": {
      "type": "string",
      "format": "date-time"
    }
  },
  "required": [
    "id",
    "title",
    "type",
    "severity",
    "status",
    "recommendation",
    "ctaLabel",
    "ctaRoute",
    "benefitBullets",
    "metadata",
    "addedAt"
  ]
}

Try it

Send this request to the local WatchLLM REST handler. Use a key from `/workspace/api`; organization keys can include `X-Project-Id` only when the endpoint documents that header.